## NAME

v.dissolve - Dissolve boundaries between adjacent areas sharing a common category number

## KEYWORDS

vector, area

## SYNOPSIS

v.dissolve
v.dissolve help
v.dissolve input=name output=name [layer=integer] [--overwrite]

### Flags:

--overwrite
  Force overwrite of output files

### Parameters:

input=name
  Name of input vector map
output=name
  Name for output vector map
layer=integer
  Layer number. If -1, all layers are extracted
  Default: 1

## DESCRIPTION

The v.dissolve module is used to merge adjacent areas in a vector map which share the same category value. The resulting merged area(s) retains this category value. GRASS defines a vector area as composite entity consisting of a set of closed boundaries and a centroid. The centroids must contain a category number (see v.centroids), this number is linked to area attributes and database links. Multiple attributes may be linked to a single vector entity through numbered fields referred to as layers. Refer to v.category for more details.

Merging of areas can also be accomplished using "`v.extract -d`" which provides some additional options. In fact, v.dissolve is simply a front-end to that module.

(GRASS Shell Script)

## EXAMPLES

### Basic use

    v.dissolve input=undissolved output=dissolved

### Dissolving based on column attributes

    # check column names:
    v.info -c polbnda_italy

    # reclass based on desired column:
    v.reclass polbnda_italy out=polbnda_italy_recl_nam col=vmap_nam

    # dissolve:
    v.dissove input=polbnda_italy_recl_nam output=pol_italy_regions

## SEE ALSO

v.category, v.centroids, v.extract, v.reclass

## AUTHORS

module: M. Hamish Bowman, Dept. Marine Science, Otago University, New Zealand
help page: Trevor Wiens

Last changed: $Date: 2006/09/03 07:09:02 $

Main index - vector index - Full index